> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Cluster Variable Api Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/clusters/imported/{cluster_id}/variables
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/clusters/imported/{cluster_id}/variables:
    post:
      tags:
        - Variables
      summary: Create Cluster Variable Api Endpoint
      operationId: >-
        create_cluster_variable_api_endpoint_api_v1_org_clusters_imported__cluster_id__variables_post
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateClusterVariableRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClusterVariableResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreateClusterVariableRequest:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        name:
          title: Name
          type: string
        value:
          title: Value
          type: string
      required:
        - name
        - value
      title: CreateClusterVariableRequest
      type: object
    ClusterVariableResult:
      properties:
        variable:
          $ref: '#/components/schemas/ClusterVariable'
      required:
        - variable
      title: ClusterVariableResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ClusterVariable:
      properties:
        cluster_id:
          format: uuid4
          title: Cluster Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          format: uuid4
          title: Id
          type: string
        name:
          title: Name
          type: string
        organisation_id:
          format: uuid4
          title: Organisation Id
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        value:
          title: Value
          type: string
      required:
        - id
        - cluster_id
        - organisation_id
        - name
        - value
        - created_at
        - updated_at
      title: ClusterVariable
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````